import * as angular from 'angular';

class ContentRestrictionService {
    Authorization: string;
    /*@ngInject*/
    constructor(
        private $http,
        private TokenService
    ) {
        this.Authorization = this.TokenService.getAuthToken();
    }

    getRestrictions = (countryCode) => {
        return this.$http({
            method: 'GET',
            url: `${process.env.CUSTOM_CONTENT_RESTRICTIONS_URL}/${countryCode}`,
            headers: {
                'gydaToken': this.Authorization,
            }
        });
    }
}

export default ContentRestrictionService;
