export default class AddContentSourceStepComponent {
    workflow: any;

    static config = {
        selector: 'addContentSourceStep',
        template: `
            <div layout="column">
            <div>{{$ctrl.AddContentTranslate.get('add-content-workflow__source-step-label')}}</div>
                <md-input-container md-is-error="$ctrl.workflow.hasError('url')">
                    <textarea class="add-content-source-step__textarea-input" name="urls" ng-model="$ctrl.workflow.urls" ng-disabled="$ctrl.workflow.loading" wrap="off" rows="10" />
                    <div class="md-errors-spacer"></div>
                </md-input-container>
            </div>
        `,
        controller: AddContentSourceStepComponent,
        bindings: {
            workflow: '<'
        }
    };

    /*@ngInject*/
    constructor(
        private AddContentTranslate
    ) {

    }

    $onInit() {
        this.workflow.urls = this.workflow.urls || '';
    }
}
